# Uses of Class
org.eclipse.swt.widgets.Tree

Packages that use Tree
Package
Description
org.eclipse.swt.custom
org.eclipse.swt.widgets

## Uses of Tree in org.eclipse.swt.custom

Constructors in org.eclipse.swt.custom with parameters of type Tree
Modifier
Constructor
Description
``
`TreeEditor(Tree tree)`
Creates a TreeEditor for the specified Tree.

## Uses of Tree in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return Tree
Modifier and Type
Method
Description
`Tree`
TreeColumn.`getParent()`
Returns the receiver's parent, which must be a `Tree`.
`Tree`
TreeItem.`getParent()`
Returns the receiver's parent, which must be a `Tree`.
Constructors in org.eclipse.swt.widgets with parameters of type Tree
Modifier
Constructor
Description
``
`TreeColumn(Tree parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Tree`) and a style value describing its behavior and appearance.
``
`TreeColumn(Tree parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Tree`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.
``
`TreeItem(Tree parent, int style)`
Constructs a new instance of this class given its parent (which must be a `Tree` or a `TreeItem`) and a style value describing its behavior and appearance.
``
`TreeItem(Tree parent, int style, int index)`
Constructs a new instance of this class given its parent (which must be a `Tree` or a `TreeItem`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.